Package: groovy.transform

## [Java] Annotation Type VisibilityOptions

- groovy.transform.VisibilityOptions

-     @Documented
      @Retention(RetentionPolicy.SOURCE)
      @Target({ElementType.TYPE, ElementType.CONSTRUCTOR, ElementType.METHOD})
      public @interface VisibilityOptions

  Marker annotation used in the context of AST transformations to provide a custom visibility.

  Since:
    2.5.0

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `Visibility` | `constructor` Returns the visibility to apply to generated constructors.
    `String` | `id` Returns the identifier used to match other annotations that reference these options.
    `Visibility` | `method` Returns the visibility to apply to generated methods.
    `Visibility` | `type` Returns the visibility to apply to generated types.
    `Visibility` | `value` Returns the default visibility to apply when no more specific member is set.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public Visibility constructor

      Returns the visibility to apply to generated constructors. Defaults to Visibility.UNDEFINED.

      Returns:
        the constructor visibility
      Default:
        Visibility.UNDEFINED

    - #### public String id

      Returns the identifier used to match other annotations that reference these options. Defaults to Undefined.STRING, meaning no identifier.

      Returns:
        the visibility options identifier
      Default:
        Undefined.STRING

    - #### public Visibility method

      Returns the visibility to apply to generated methods. Defaults to Visibility.UNDEFINED.

      Returns:
        the method visibility
      Default:
        Visibility.UNDEFINED

    - #### public Visibility type

      Returns the visibility to apply to generated types. Defaults to Visibility.UNDEFINED.

      Returns:
        the type visibility
      Default:
        Visibility.UNDEFINED

    - #### public Visibility value

      Returns the default visibility to apply when no more specific member is set. Defaults to Visibility.UNDEFINED.

      Returns:
        the default visibility
      Default:
        Visibility.UNDEFINED